petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateReferenceCell

Create a DMPLEX with the appropriate FEM reference cell

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateReferenceCell(MPI_Comm comm, PetscInt dim, PetscBool simplex, DM *refdm)

Collective on comm Many br

### Input Parameters

| comm | - The communicator Many br
| dim | - The spatial dimension Many br
| simplex | - Flag for simplex, otherwise use a tensor-product cell Many br

### Output Parameter

refdm -The reference cell Many br

Many br

### Keywords

reference cell

### See Also

Level:intermediate
Location:src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages